For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get API Key
GuidesAPI Reference
GuidesAPI Reference
  • Overview
    • API Reference
  • Endpoint Reference
    • Organizations
    • Projects
    • Documents
    • Agent
    • Check
  • API Explorer
Get API Key
LogoLogo
On this page
  • GET /api/v2/organization
Endpoint Reference

Organizations

Retrieve organization details for the authenticated API key
Was this page helpful?
Edit this page
Previous

Projects

Create and manage knowledge projects
Next
Built with

GET /api/v2/organization

Returns the organization associated with the API key used in the request. Use this to verify your key is configured correctly.

Authentication: Bearer token required

ParameterDescription
(none)This endpoint takes no parameters

Example request:

$curl https://api.pyramid-ai.com/api/v2/organization \
> -H "Authorization: Bearer pai_live_YOUR_KEY"

Example response 200 OK:

1{
2 "success": true,
3 "data": {
4 "id": "iPwoNDP1ribwqCTkvlEyiA6DtGZdYe0k",
5 "name": "AIS Construction Ltd"
6 },
7 "request_id": "550e8400-e29b-41d4-a716-446655440000"
8}
FieldTypeDescription
data.idstringUnique organization identifier
data.namestringOrganization display name

Error responses:

StatusCodeWhen
401UNAUTHORIZEDMissing or invalid API key
404NOT_FOUNDOrganization not found (key may be corrupted)